#[cfg(feature="legacy")]
mod roblox_legacy;
#[cfg(feature="legacy")]
mod source_legacy;
#[cfg(feature="roblox")]
mod roblox;
#[cfg(feature="source")]
mod source;

#[cfg(any(feature="roblox",feature="legacy"))]
pub mod rbxassetid;

pub mod texture;
#[cfg(any(feature="source",feature="legacy"))]
pub mod valve_mesh;
#[cfg(any(feature="roblox",feature="legacy"))]
pub mod roblox_mesh;

#[cfg(feature="legacy")]
pub fn roblox_legacy()->roblox_legacy::Loader{
	roblox_legacy::Loader::new()
}
#[cfg(feature="legacy")]
pub fn source_legacy()->source_legacy::Loader{
	source_legacy::Loader::new()
}
#[cfg(feature="roblox")]
pub fn roblox()->roblox::Loader{
	roblox::Loader::new()
}
#[cfg(feature="source")]
pub fn source()->source::Loader{
	source::Loader::new()
}
